> For the complete documentation index, see [llms.txt](https://docs.squads.so/main/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.squads.so/main/development/typescript/accounts/multisig.md).

# Multisig

Main configuration account for Squads multisigs

The Multisig account serves as the global config for your Squad. This stores all data related to membership, permissions, thresholds, and more. It will be required for every instruction method and account derivation with the SDK.

The account address itself is derived via a createKey, which is a public key used as a seed. It is recommended to generate a one-time keypair for the createKey to avoid collisions, and save the public key, or the resulting multisig address for later use.

## Getting the Multisig account

```typescript
import * as multisig from "@sqds/multisig";
import { Keypair } from "@solana/web3.js";

const { Multisig } = multisig.accounts;

async function main() {
    // One-time keypair, used for derivation 
    const createKey = Keypair.generate();

    const [multisigPda] = multisig.getMultisigPda({
        createKey.publicKey,
    });
    
    const multisigAccount = await Multisig.fromAccountAddress(
        connection,
        multisigPda
    );
   
    console.log(multisigAccount);
}
```

### Notes:&#x20;

* DO NOT send funds to this account. They will be lost if you do.
* The Multisig account handles global config for the entirety of the Squad
* The account is derived via a `createKey`, which is one of the singers for its creation.
* See the [reference](/main/development/reference/accounts.md#multisig) for more information on account structure and seeds.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.squads.so/main/development/typescript/accounts/multisig.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
